## yorick-hdf5 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# $Id: Makefile,v 1.3 2005/11/10 01:03:41 frigaut Exp $
-Y_MAKEDIR=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
-Y_EXE=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh/bin/yorick
+# $Id: Makefile,v 1.1.1.1 2007/12/27 15:10:24 frigaut Exp $
+Y_MAKEDIR=/usr/lib/yorick
+Y_EXE=/usr/lib/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
-Y_EXE_SITE=/Users/frigaut/yorick-2.1
+Y_EXE_HOME=/usr/lib/yorick
+Y_EXE_SITE=/usr/lib/yorick
 
 # ----------------------------------------------------- optimization flags
 
@@ -21,9 +21,9 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
-PKG_DEPLIBS=-L/usr/local/lib -lhdf5
+PKG_DEPLIBS=-lhdf5 -lz
 # set compiler or loader (rare) flags specific to this package
-PKG_CFLAGS=-I/usr/local/include
+PKG_CFLAGS=
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME
@@ -34,7 +34,7 @@
 PKG_CLEAN=
 
 # autoload file for this package, if any
-PKG_I_START=yhdf5.i
+PKG_I_START=hdf5_start.i
 
 # -------------------------------- standard targets and rules (in Makepkg)
 
@@ -64,14 +64,22 @@
 #myfunc.o: myapi.h myfunc.c
 #	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c
 
+clean::
+	-rm -rf binaries
+
 # -------------------------------------------------------- end of Makefile
 
-# for the binary package production:
-PKG_DEPLIBS_STATIC=-lm /usr/local/lib/libhdf5.a -lz
-PKG_OS = macosx
+
+# for the binary package production (add full path to lib*.a below):
+# macosx:
+PKG_DEPLIBS_STATIC=-lm -lz /usr/lib/libhdf5.a
+PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
 # or linux or windows
 PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
 # .info might not exist, in which case he line above will exit in error.
+
+# packages or devel_pkgs:
+PKG_DEST_URL = packages
 
 package:
 	$(MAKE)
@@ -84,23 +92,25 @@
 	if test -f "check.i"; then cp -p check.i binaries/$(PKG_NAME)/.; fi
 	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
 	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
-	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_OS)/' > tmp.info
+	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_ARCH)/' > tmp.info
 	mv tmp.info binaries/$(PKG_NAME)/$(PKG_NAME).info
-	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz $(PKG_NAME)
+	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz $(PKG_NAME)
 
-distbin:
-	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz" ; then \
-	  ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/tarballs/ \
-	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz; fi
+distbin: package
+	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz" ; then \
+	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/tarballs/ \
+	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz; fi
 	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then \
-	  ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/info/ \
+	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/info/ \
 	  binaries/$(PKG_NAME)/$(PKG_NAME).info; fi
 
 distsrc:
 	make clean; rm -rf binaries
 	cd ..; tar --exclude binaries --exclude .svn -zcvf \
-	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz $(PKG_NAME);\
-	ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/src/ \
+	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
+	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
+	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
+	cd ..; ncftpput -f $(HOME)/.ncftp/maumae www/yorick/contrib/ \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
