## yorick-hdf5 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# $Id: Makefile,v 1.1.1.1 2007/12/27 15:10:24 frigaut Exp $
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+# $Id: Makefile,v 1.3 2008/11/21 16:19:17 frigaut Exp $
+Y_MAKEDIR=/home/frigaut/yorick-2.1.05x-arch
+Y_EXE=/home/frigaut/yorick-2.1.05x-arch/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/home/frigaut/yorick-2.1.05x-arch
+Y_EXE_SITE=/home/frigaut/yorick-2.1.05x-arch
 
 # ----------------------------------------------------- optimization flags
 
@@ -13,7 +13,7 @@
 # ------------------------------------------------ macros for this package
 
 PKG_NAME=hdf5
-PKG_I=hdf5.i
+PKG_I=hdf5.i h5scan_fromshell.i h5convert_fromshell.i
 
 OBJS=hdf5.o
 
@@ -23,8 +23,15 @@
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
 PKG_DEPLIBS=-lhdf5 -lz
 # set compiler or loader (rare) flags specific to this package
-PKG_CFLAGS=
-PKG_LDFLAGS=
+# yorick-hdf5 was written for hdf5 v1.6. Some distro (e.g. f9) have
+# moved to v1.8, which has incompatible APIs. Fortunately, hdf5
+# developers have provided a way to expose the v1.6 APIs:
+PKG_CFLAGS=-D H5_USE_16_API
+PKG_LDFLAGS=-D H5_USE_16_API
+# another solution is to build hdf5 v1.6 (e.g. in /usr/local) and
+# use this:
+# PKG_CFLAGS=-I/usr/local/include
+# PKG_LDFLAGS=-L/usr/local/lib -lhdf5 -Wl,--rpath=/usr/local/lib
 
 # list of additional package names you want in PKG_EXENAME
 # (typically Y_EXE_PKGS should be first here)
@@ -87,8 +94,11 @@
 	mkdir -p binaries/$(PKG_NAME)/dist/y_home/lib
 	mkdir -p binaries/$(PKG_NAME)/dist/y_home/i-start
 	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i0
+	mkdir -p binaries/$(PKG_NAME)/dist/y_home/bin
 	cp -p $(PKG_I) binaries/$(PKG_NAME)/dist/y_site/i0/
 	cp -p $(PKG_NAME).so binaries/$(PKG_NAME)/dist/y_home/lib/
+	cp -p h5info binaries/$(PKG_NAME)/dist/y_home/bin/.
+	cp -p h5convert binaries/$(PKG_NAME)/dist/y_home/bin/.
 	if test -f "check.i"; then cp -p check.i binaries/$(PKG_NAME)/.; fi
 	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
 	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
@@ -106,7 +116,7 @@
 
 distsrc:
 	make clean; rm -rf binaries
-	cd ..; tar --exclude binaries --exclude .svn -zcvf \
+	cd ..; tar --exclude binaries --exclude .svn --exclude CVS --exclude *.spec -zcvf \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
 	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
