=== debian/control ===
Source: yorick-hdf5
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1), libhdf5-dev (>= 1.10~)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yorick-hdf5.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-hdf5.git

Package: yorick-hdf5
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: Hierarchical Data Format 5 interface for the Yorick language
 HDF5 is the yorick interface plugin to the NCSA Hierarchical Data Format
 version 5. It includes function for reading, writing, updating, getting
 information on HDF5 files.
